# List trips Lists trips according to the filters passed in the query string. Endpoint: GET /v1/trips Version: 1.0 Security: OAuth2 ## Query parameters: - `cursor` (string,null) - `limit` (integer,null) - `last_updated_after` (string,null) ## Response 200 fields (application/json): - `next_cursor` (string,null) - `items` (array, required) - `items.id` (string, required) The ID of the trip. Example: "trip_cl9rh1n8g001e0j84w6fb4fd1" - `items.created_at` (string, required) The time when the trip was created. Example: "2017-12-27T15:42:30Z" - `items.updated_at` (string, required) The time when the latest trip update happened. Example: "2017-12-27T15:42:30Z" - `items.name` (string,null) The name of the trip as seen in the dashboard. Example: "Trip to Rio de Janeiro" - `items.booker_user_id` (string, required) The ID of the user who booked the trip. If the trip was created on copilot mode, this will be the ID of the user on behalf of whom the trip was booked. Example: "cuuser_cky0xs54b004h01pidi0pcuz1" - `items.status` (string, required) The current status of a trip. Enum: "PENDING", "UPCOMING", "IN_PROGRESS", "COMPLETED", "CANCELED", "REFUNDED", "VOIDED", "DRAFT", "DELETED", "INVITED", "PROCESSING", "UNCONFIRMED", "AIRLINE_CONTROL", "PAYMENT_DECLINED", "SCHEDULE_CHANGE", "HOLD", "APPROVAL_REQUESTED", "APPROVAL_DENIED", "CANCELLATION_IN_PROGRESS" - `items.traveler` (object,null) Information on the person who will be traveling. - `items.traveler.type` (string, required) Whether the trip is for an employee or a guest. Enum: "EMPLOYEE", "GUEST" - `items.traveler.name` (object,null) The name of the traveler. - `items.traveler.name.first_name` (string) The traveler's first name. Example: "John" - `items.traveler.name.middle_name` (string,null) The traveler's middle name. Example: "Paul" - `items.traveler.name.last_name` (string) The traveler's last name. Example: "Doe" - `items.traveler.name.suffix` (string,null) The suffix in the traveler's name. Example: "Jr." - `items.traveler.guest_email` (string,null) If the traveler is a guest, this is their email. Example: "guest@gmail.com" - `items.traveler.user_id` (string,null) If the traveler is an employee, this is their user ID. Example: "cuuser_cky0xs54b004h01pidi0pcuz1" - `items.version` (integer, required) The current version of the trip. Example: 2 - `items.billable_at` (string,null) The time when the trip became billable. If absent, the trip is currently not billable. Example: "2017-12-27T15:42:30Z" - `items.starts_at` (string,null) The time when the first booking in the trip starts. Example: "2017-12-27T15:42:30Z" - `items.ends_at` (string,null) The time when the last booking in the trip ends. Example: "2017-12-27T15:42:30Z" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields